## kmail 25.08.2+p24.04+vunstable+git20251022.0019

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.40")

project(kmail VERSION ${PIM_VERSION})

include(CheckIncludeFiles)

set(KF_MIN_VERSION "6.18.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    *.cpp
    *.h
    *.c
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

# Do NOT add quote
set(KDEPIM_DEV_VERSION alpha)
set(RELEASE_SERVICE_VERSION "25.11.70")

# Update it for each release
set(KMAIL_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(AKONADI_MIMELIB_VERSION "6.5.40")
set(AKONADI_CONTACT_VERSION "6.5.40")
set(CALENDARUTILS_LIB_VERSION "6.5.40")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
set(KLDAP_LIB_VERSION "6.5.40")
set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
set(KMIME_LIB_VERSION "6.5.40")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.40")
set(AKONADI_VERSION "6.5.40")
set(KTNEF_LIB_VERSION "6.5.40")
set(GPG_ERROR_REQUIRED_VERSION "1.36")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(KTEXTADDONS_MIN_VERSION "1.8.0")
option(
    KDEPIM_ENTERPRISE_BUILD
    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
    FALSE
)

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        DBus
        Network
        Test
        Widgets
        WebEngineWidgets
)
set(LIBGRAVATAR_VERSION "6.5.40")
set(MAILCOMMON_LIB_VERSION "6.5.40")
set(MESSAGELIB_LIB_VERSION "6.5.40")
set(LIBKLEO_LIB_VERSION "6.5.40")
set(PIMCOMMON_LIB_VERSION "6.5.40")
set(LIBKDEPIM_LIB_VERSION "6.5.40")
set(LIBKSIEVE_LIB_VERSION "6.5.40")
set(AKONADI_SEARCH_VERSION "6.5.40")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)

option(
    FORCE_DISABLE_AKONADI_SEARCH
    "Disable features and API that require akonadi-search, e.g. because xapian isn't available"
    OFF
)
if(UNIX)
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
        set_package_properties(
            KPim6AkonadiSearch
            PROPERTIES
                DESCRIPTION
                    "The Akonadi Search libraries"
                URL
                    "https://invent.kde.org/pim/akonadi-search"
                TYPE
                    REQUIRED
                PURPOSE
                    "Provides search capabilities in KMail and Akonadi"
        )
    endif()
else()
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
        set_package_properties(
            KPim6AkonadiSearch
            PROPERTIES
                DESCRIPTION
                    "The Akonadi Search libraries"
                URL
                    "https://invent.kde.org/pim/akonadi-search"
                TYPE
                    OPTIONAL
                PURPOSE
                    "Provides search capabilities in KMail and Akonadi"
        )
    endif()
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    set(KMAIL_FORCE_DISABLE_AKONADI_SEARCH TRUE)
endif()

set(GPGMEPP_LIB_VERSION "1.23.2")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

# Find KF6 package
find_package(KF6Bookmarks ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)
find_package(KF6GuiAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6Gravatar ${LIBGRAVATAR_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KSieveUi ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransportDBusService CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)

set(CMAKE_MODULE_PATH
    ${LIBKLEO_MODULE_PATH}
    ${CMAKE_MODULE_PATH}
)
find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)

find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
set_package_properties(
    KF6TextEditTextToSpeech
    PROPERTIES
        DESCRIPTION
            "Add support for text to speech"
        TYPE
            OPTIONAL
)
if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_TEXT_TO_SPEECH_SUPPORT)
endif()
find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)

find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
set_package_properties(
    KF6TextAddonsWidgets
    PROPERTIES
        DESCRIPTION "Add text addons widget"
        TYPE REQUIRED
)

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
endif()

configure_file(config-enterprise.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h)

include_directories(
    ${kmail_SOURCE_DIR}
    ${kmail_BINARY_DIR}
)
configure_file(kmail-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kmail-version.h @ONLY)
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0
    KF 6.18.0
)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(
    KF6UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional)."
)

if(TARGET KF6::UserFeedbackWidgets)
    set(KMAIL_WITH_KUSERFEEDBACK true)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities (experimental)" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION
                        "Allow to compile with plasma activities"
                    TYPE
                        OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(KMAIL_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

configure_file(config-kmail.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kmail.h)

add_subdirectory(src)
add_subdirectory(agents)
add_subdirectory(ktnef)
add_subdirectory(kmail-refresh-settings)
ecm_qt_install_logging_categories(
    EXPORT KMAIL
    FILE kmail.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"kmail\")

qt_generate_dbus_interface(kmkernel.h org.kde.kmail.kmail.xml OPTIONS -a)
qt_generate_dbus_interface(editor/kmcomposerwin.h org.kde.kmail.mailcomposer.xml OPTIONS -a)

add_custom_target(
    kmail_xml
    ALL
    DEPENDS
        ${kmail_BINARY_DIR}/src/org.kde.kmail.kmail.xml
    DEPENDS
        ${kmail_BINARY_DIR}/src/org.kde.kmail.mailcomposer.xml
    COMMENT "Helper target for XML stuff. The Kontact plugin, KOrganizer and others depend on it."
)

add_subdirectory(pics)
add_subdirectory(icons)
add_subdirectory(kontactplugin)

########### kmailprivate ###############

set(kmail_debugcategory_SRCS)
ecm_qt_declare_logging_category(kmail_debugcategory_SRCS HEADER kmail_debug.h IDENTIFIER KMAIL_LOG CATEGORY_NAME org.kde.pim.kmail
    DESCRIPTION "kmail (kmail)"
    OLD_CATEGORY_NAMES log_kmail
    EXPORT KMAIL
)

ecm_qt_declare_logging_category(kmail_debugcategory_SRCS HEADER kmail_undo_send_debug.h IDENTIFIER KMAIL_UNDO_SEND_LOG CATEGORY_NAME org.kde.pim.kmail.undo.send
    DESCRIPTION "kmail undo send (kmail)"
    OLD_CATEGORY_NAMES log_undo_send_kmail
    EXPORT KMAIL
)

ecm_qt_declare_logging_category(kmail_debugcategory_SRCS HEADER kmail_activities_debug.h IDENTIFIER KMAIL_ACTIVITIES_LOG CATEGORY_NAME org.kde.pim.kmail.activities
    DESCRIPTION "kmail activities (kmail)"
    EXPORT KMAIL
)

add_library(kmailprivate)
if(TARGET KF6::UserFeedbackWidgets)
    target_sources(
        kmailprivate
        PRIVATE
            userfeedback/accountinfosource.cpp
            userfeedback/accountinfosource.h
            userfeedback/plugininfosource.cpp
            userfeedback/plugininfosource.h
            userfeedback/kmailuserfeedbackprovider.cpp
            userfeedback/kmailuserfeedbackprovider.h
    )
endif()

target_sources(
    kmailprivate
    PRIVATE
        ${kmail_debugcategory_SRCS}
        attributes/taskattribute.cpp
        folderarchive/folderarchiveaccountinfo.cpp
        folderarchive/folderarchiveutil.cpp
        folderarchive/folderarchivecache.cpp
        folderarchive/folderarchiveagentcheckcollection.cpp
        folderarchive/folderarchivemanager.cpp
        folderarchive/folderarchiveagentjob.cpp
        collectionpage/collectiontemplatespage.cpp
        collectionpage/collectionviewpage.cpp
        collectionpage/collectionquotapage.cpp
        collectionpage/collectionquotawidget.cpp
        collectionpage/collectionmailinglistpage.cpp
        collectionpage/collectionshortcutpage.cpp
        configuredialog/configagentdelegate.cpp
        configuredialog/configuredialoglistview.cpp
        configuredialog/configuredialog.cpp
        configuredialog/configuredialog_p.cpp
        configuredialog/configuremiscpage.cpp
        configuredialog/configuresecuritypage.cpp
        configuredialog/configurecomposerpage.cpp
        configuredialog/configureappearancepage.cpp
        configuredialog/configureaccountpage.cpp
        configuredialog/configurepluginpage.cpp
        configuredialog/colorlistbox.cpp
        configuredialog/configureplugins/configurepluginslistwidget.cpp
        searchdialog/kmsearchmessagemodel.cpp
        searchdialog/searchpatternwarning.cpp
        searchdialog/kmailsearchpatternedit.cpp
        searchdialog/searchwindowdialog.cpp
        searchdialog/searchdescriptionattribute.cpp
        searchdialog/incompleteindexdialog.cpp
        identity/identitydialog.cpp
        identity/xfaceconfigurator.cpp
        identity/encodedimagepicker.cpp
        identity/newidentitydialog.cpp
        identity/identityeditvcarddialog.cpp
        identity/identityaddvcarddialog.cpp
        identity/identityinvalidfolder.cpp
        identity/identityfolderrequester.cpp
        identity/identitytreengwidget.h
        identity/identitytreengwidget.cpp
        identity/identityngpage.cpp
        identity/identityngpage.h
        identity/identityexpirespamfolderdialog.h
        identity/identityexpirespamfolderdialog.cpp
        editor/kmcomposereditorng.cpp
        editor/encryptionstate.cpp
        editor/subjectlineeditwithautocorrection.cpp
        editor/subjectlineeditwithautocorrection.h
        editor/composer.cpp
        editor/kmcomposerwin.cpp
        editor/attachment/attachmentcontroller.cpp
        editor/attachment/attachmentview.cpp
        editor/widgets/cryptostateindicatorwidget.cpp
        editor/validatesendmailshortcut.cpp
        editor/kmcomposerglobalaction.cpp
        editor/kmcomposerupdatetemplatejob.cpp
        editor/kmcomposercreatenewcomposerjob.cpp
        editor/pimmessagebox.cpp
        editor/warningwidgets/externaleditorwarning.cpp
        editor/warningwidgets/attachmentmissingwarning.cpp
        editor/warningwidgets/incorrectidentityfolderwarning.cpp
        editor/warningwidgets/attachmentaddedfromexternalwarning.cpp
        editor/warningwidgets/toomanyrecipientswarning.cpp
        editor/warningwidgets/nearexpirywarning.cpp
        editor/potentialphishingemail/potentialphishingemailwarning.cpp
        editor/potentialphishingemail/potentialphishingemailjob.cpp
        editor/potentialphishingemail/potentialphishingdetaildialog.cpp
        editor/potentialphishingemail/potentialphishingdetailwidget.cpp
        dialog/archivefolderdialog.cpp
        dialog/addemailtoexistingcontactdialog.cpp
        dialog/kmknotify.cpp
        dialog/spellcheckerconfigdialog.cpp
        job/addressvalidationjob.cpp
        job/createnewcontactjob.cpp
        job/addemailtoexistingcontactjob.cpp
        job/createtaskjob.cpp
        job/savedraftjob.cpp
        job/removeduplicatemailjob.cpp
        job/createfollowupreminderonexistingmessagejob.cpp
        job/removecollectionjob.cpp
        job/saveasfilejob.cpp
        job/markallmessagesasreadinfolderandsubfolderjob.cpp
        job/removeduplicatemessageinfolderandsubfolderjob.cpp
        job/handleclickedurljob.cpp
        job/composenewmessagejob.cpp
        job/opencomposerjob.cpp
        job/newmessagejob.cpp
        job/opencomposerhiddenjob.cpp
        job/fillcomposerjob.cpp
        job/createreplymessagejob.cpp
        job/createforwardmessagejob.cpp
        job/dndfromarkjob.cpp
        job/clearcachejobinfolderandsubfolderjob.cpp
        job/clearcachejobinfolderandsubfolderjob.h
        widgets/collectionpane.cpp
        widgets/vacationscriptindicatorwidget.cpp
        widgets/displaymessageformatactionmenu.cpp
        widgets/kactionmenutransport.cpp
        widgets/kactionmenuaccount.cpp
        widgets/zoomlabelwidget.cpp
        tag/tagactionmanager.cpp
        tag/tagselectdialog.cpp
        tag/tagmonitormanager.cpp
        plugininterface/kmailplugininterface.cpp
        plugininterface/kmailplugincheckbeforedeletingmanagerinterface.cpp
        editor/plugininterface/kmailplugineditormanagerinterface.cpp
        editor/plugininterface/kmailplugineditorcheckbeforesendmanagerinterface.cpp
        editor/plugininterface/kmailplugineditorinitmanagerinterface.cpp
        editor/plugininterface/kmailplugineditorconverttextmanagerinterface.cpp
        editor/plugininterface/kmailplugingrammareditormanagerinterface.cpp
        sieveimapinterface/kmailsieveimapinstanceinterface.cpp
        sieveimapinterface/kmsieveimappasswordprovider.cpp
        undosend/undosendcombobox.cpp
        undosend/undosendmanager.cpp
        undosend/undosendcreatejob.cpp
        kmmainwin.cpp
        settings/kmailsettings.cpp
        kmreaderwin.cpp
        kmsystemtray.cpp
        unityservicemanager.cpp
        undostack.cpp
        kmkernel.cpp
        commandlineinfo.h
        commandlineinfo.cpp
        kmcommands.cpp
        kmreadermainwin.cpp
        kmmainwidget.cpp
        aboutdata.cpp
        mailserviceimpl.cpp
        secondarywindow.cpp
        util.cpp
        kmail_options.h
        messageactions.cpp
        foldershortcutactionmanager.cpp
        kmlaunchexternalcomponent.cpp
        manageshowcollectionproperties.cpp
        kmail.qrc
        attributes/taskattribute.h
        folderarchive/folderarchiveaccountinfo.h
        folderarchive/folderarchiveutil.h
        folderarchive/folderarchivecache.h
        folderarchive/folderarchiveagentcheckcollection.h
        folderarchive/folderarchivemanager.h
        folderarchive/folderarchiveagentjob.h
        collectionpage/collectiontemplatespage.h
        collectionpage/collectionviewpage.h
        collectionpage/collectionquotapage.h
        collectionpage/collectionquotawidget.h
        collectionpage/collectionmailinglistpage.h
        collectionpage/collectionshortcutpage.h
        configuredialog/configagentdelegate.h
        configuredialog/configuredialoglistview.h
        configuredialog/configuredialog.h
        configuredialog/configuredialog_p.h
        configuredialog/configuremiscpage.h
        configuredialog/configuresecuritypage.h
        configuredialog/configurecomposerpage.h
        configuredialog/configureappearancepage.h
        configuredialog/configureaccountpage.h
        configuredialog/configurepluginpage.h
        configuredialog/colorlistbox.h
        configuredialog/configureplugins/configurepluginslistwidget.h
        searchdialog/kmsearchmessagemodel.h
        searchdialog/searchpatternwarning.h
        searchdialog/kmailsearchpatternedit.h
        searchdialog/searchwindowdialog.h
        searchdialog/searchdescriptionattribute.h
        searchdialog/incompleteindexdialog.h
        identity/identitydialog.h
        identity/xfaceconfigurator.h
        identity/encodedimagepicker.h
        identity/newidentitydialog.h
        identity/identityeditvcarddialog.h
        identity/identityaddvcarddialog.h
        identity/identityinvalidfolder.h
        identity/identityfolderrequester.h
        editor/kmcomposereditorng.h
        editor/composer.h
        editor/encryptionstate.h
        editor/kmcomposerwin.h
        editor/attachment/attachmentcontroller.h
        editor/attachment/attachmentview.h
        editor/widgets/cryptostateindicatorwidget.h
        editor/validatesendmailshortcut.h
        editor/kmcomposerglobalaction.h
        editor/kmcomposerupdatetemplatejob.h
        editor/kmcomposercreatenewcomposerjob.h
        editor/pimmessagebox.h
        editor/warningwidgets/externaleditorwarning.h
        editor/warningwidgets/attachmentmissingwarning.h
        editor/warningwidgets/incorrectidentityfolderwarning.h
        editor/warningwidgets/attachmentaddedfromexternalwarning.h
        editor/warningwidgets/toomanyrecipientswarning.h
        editor/warningwidgets/nearexpirywarning.h
        editor/potentialphishingemail/potentialphishingemailwarning.h
        editor/potentialphishingemail/potentialphishingemailjob.h
        editor/potentialphishingemail/potentialphishingdetaildialog.h
        editor/potentialphishingemail/potentialphishingdetailwidget.h
        dialog/archivefolderdialog.h
        dialog/addemailtoexistingcontactdialog.h
        dialog/kmknotify.h
        dialog/spellcheckerconfigdialog.h
        job/addressvalidationjob.h
        job/createnewcontactjob.h
        job/addemailtoexistingcontactjob.h
        job/createtaskjob.h
        job/savedraftjob.h
        job/removeduplicatemailjob.h
        job/createfollowupreminderonexistingmessagejob.h
        job/removecollectionjob.h
        job/saveasfilejob.h
        job/markallmessagesasreadinfolderandsubfolderjob.h
        job/removeduplicatemessageinfolderandsubfolderjob.h
        job/handleclickedurljob.h
        job/composenewmessagejob.h
        job/opencomposerjob.h
        job/newmessagejob.h
        job/opencomposerhiddenjob.h
        job/fillcomposerjob.h
        job/createreplymessagejob.h
        job/createforwardmessagejob.h
        job/dndfromarkjob.h
        widgets/collectionpane.h
        widgets/vacationscriptindicatorwidget.h
        widgets/displaymessageformatactionmenu.h
        widgets/kactionmenutransport.h
        widgets/kactionmenuaccount.h

=== debian/changelog ===
kmail (4:25.08.2+p24.04+vunstable+git20251022.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:20:09 +0000

## kmail 25.08.3

=== agents/unifiedmailboxagent/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_unifiedmailbox_agent\")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_executable(akonadi_unifiedmailbox_agent)
ecm_qt_declare_logging_category(akonadi_unifiedmailbox_agent HEADER unifiedmailboxagent_debug.h IDENTIFIER UNIFIEDMAILBOXAGENT_LOG CATEGORY_NAME org.kde.pim.unifiedmailboxagent
        DESCRIPTION "kmail (unifiedmailboxagent)"
        EXPORT KMAIL
)

kconfig_add_kcfg_files(akonadi_unifiedmailbox_agent
    settings.kcfgc
)

qt_add_dbus_adaptor(unifiedmailbox_agent_SRCS org.freedesktop.Akonadi.UnifiedMailboxAgent.xml unifiedmailboxagent.h UnifiedMailboxAgent)
target_sources(
    akonadi_unifiedmailbox_agent
    PRIVATE
        unifiedmailbox.cpp
        unifiedmailboxagent.cpp
        unifiedmailboxmanager.cpp
        unifiedmailboxeditor.cpp
        settingsdialog.cpp
        mailkernel.cpp
        unifiedmailbox.h
        unifiedmailboxagent.h
        unifiedmailboxmanager.h
        unifiedmailboxeditor.h
        settingsdialog.h
        mailkernel.h
        ${unifiedmailbox_agent_SRCS}
)

#if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(akonadi_unifiedmailbox_agent PROPERTIES UNITY_BUILD ON)
#endif()
target_link_libraries(
    akonadi_unifiedmailbox_agent
    KPim6::AkonadiAgentWidgetBase
    KPim6::AkonadiMime
    KPim6::Mime
    KF6::I18n
    KPim6::IdentityManagementCore
    KF6::WidgetsAddons
    KF6::IconThemes
    KF6::IconWidgets
    KF6::ItemModels
    KPim6::MailCommon
    KF6::DBusAddons
)

if(APPLE)
    set_target_properties(
        akonadi_unifiedmailbox_agent
        PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST
                ${kmail_SOURCE_DIR}/agents/Info.plist.template
    )
    set_target_properties(
        akonadi_unifiedmailbox_agent
        PROPERTIES
            MACOSX_BUNDLE_GUI_IDENTIFIER
                "org.kde.Akonadi.KF6::UnifiedMailbox"
    )
    set_target_properties(
        akonadi_unifiedmailbox_agent
        PROPERTIES
            MACOSX_BUNDLE_BUNDLE_NAME
                "KDE PIM Unified Mailbox"
    )
endif()

install(
    TARGETS
        akonadi_unifiedmailbox_agent
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES unifiedmailboxagent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DTEST_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
include_directories(
    BEFORE
    ${kmail_SOURCE_DIR}
    ${kmail_BINARY_DIR}
)

########### dbus test ###############
add_executable(
    displaymessageformatactionmenutest
    displaymessageformatactionmenutest.cpp
    displaymessageformatactionmenutest.h
)
add_test(NAME displaymessageformatactionmenutest COMMAND displaymessageformatactionmenutest)
ecm_mark_as_test(kmail-displaymessageformatactionmenutest)
target_link_libraries(
    displaymessageformatactionmenutest
    Qt::Test
    KPim6::MessageViewer
    KF6::I18n
    kmailprivate
)

#####
add_executable(
    identityaddvcarddialogtest
    identityaddvcarddialogtest.cpp
    identityaddvcarddialogtest.h
)
ecm_mark_as_test(kmail-identityaddvcarddialogtest)
target_link_libraries(
    identityaddvcarddialogtest
    Qt::Test
    Qt::Widgets
    KF6::Completion
    KF6::KIOWidgets
    KF6::I18n
    kmailprivate
)

#####
add_executable(
    createfollowupreminderonexistingmessagejobtest
    createfollowupreminderonexistingmessagejobtest.cpp
    createfollowupreminderonexistingmessagejobtest.h
)
ecm_mark_as_test(kmail_createfollowupreminderonexistingmessagejobtest)
target_link_libraries(
    createfollowupreminderonexistingmessagejobtest
    Qt::Test
    Qt::Widgets
    KPim6::AkonadiCore
    KF6::CalendarCore
    KPim6::Mime
    KPim6::MessageComposer
    kmailprivate
)
#####

add_executable(
    cryptostateindicatorwidgettest
    cryptostateindicatorwidgettest.cpp
    cryptostateindicatorwidgettest.h
)
add_test(NAME cryptostateindicatorwidgettest COMMAND cryptostateindicatorwidgettest)
ecm_mark_as_test(cryptostateindicatorwidgettest)
target_link_libraries(
    cryptostateindicatorwidgettest
    Qt::Test
    KPim6::MessageCore
    Qt::Widgets
    KF6::I18n
    kmailprivate
)
#####

add_executable(
    encryptionstatetest
    encryptionstatetest.cpp
    encryptionstatetest.h
)
add_test(NAME encryptionstatetest COMMAND encryptionstatetest)
ecm_mark_as_test(encryptionstatetest)
target_link_libraries(
    encryptionstatetest
    Qt::Test
    kmailprivate
)

add_executable(
    kactionmenutransporttest
    kactionmenutransporttest.cpp
    kactionmenutransporttest.h
)
add_test(NAME kactionmenutransporttest COMMAND kactionmenutransporttest)
ecm_mark_as_test(kactionmenutransporttest)
target_link_libraries(
    kactionmenutransporttest
    Qt::Test
    KPim6::AkonadiMime
    KF6::WidgetsAddons
    KF6::I18n
    KF6::ConfigGui
    kmailprivate
)

add_akonadi_isolated_test_advanced( kmcomposerwintest.cpp "kmcomposerwintest.h"
	"Qt::Test;KPim6::IdentityManagementWidgets;KPim6::Libkleo;KPim6::MessageCore;KPim6::MessageComposer;KPim6::TemplateParser;KF6::XmlGui;Qt::Widgets;KF6::I18n;kmailprivate;KF6::Codecs"
)

add_akonadi_isolated_test_advanced( tagselectdialogtest.cpp  "tagselectdialogtest.h" "kmailprivate;KPim6::MailCommon;KPim6::Libkdepim;KF6::ItemViews;KPim6::TemplateParser;KF6::XmlGui;KF6::Completion;KF6::I18n")

add_akonadi_isolated_test_advanced(kmcommandstest.cpp "kmcommandstest.h"
    "Qt::Test;Qt::Widgets;KPim6::AkonadiCore;KF6::XmlGui;KF6::Bookmarks;KF6::Contacts;KF6::I18n;KPim6::IdentityManagementCore;KF6::KIOCore;KF6::KIOFileWidgets;KPim6::MessageCore;KPim6::MessageComposer;KPim6::MessageList;KPim6::MessageViewer;KPim6::MailCommon;KPim6::AkonadiMime;KPim6::Libkdepim;KPim6::TemplateParser;kmailprivate"
)

add_executable(
    commandlineinfotest
    commandlineinfotest.cpp
    commandlineinfotest.h
)
add_test(NAME commandlineinfotest COMMAND commandlineinfotest)
ecm_mark_as_test(commandlineinfotest)
target_link_libraries(
    commandlineinfotest
    Qt::Test
    KPim6::AkonadiMime
    KF6::WidgetsAddons
    KF6::I18n
    KF6::ConfigGui
    kmailprivate
)

=== src/avscripts/CMakeLists.txt ===
if(Q_WS_X11)
    install(
        PROGRAMS
            kmail_clamav.sh
            kmail_sav.sh
            kmail_fprot.sh
            kmail_antivir.sh
        DESTINATION ${KDE_INSTALL_BINDIR}
    )
endif()

=== agents/mailmergeagent/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
# Convenience macro to add unit tests.
macro(mailmerge_agent _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_test} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "mailmerge-"
        LINK_LIBRARIES mailmergeagent Qt::Test KPim6::AkonadiCore Qt::Widgets KF6::I18n KF6::XmlGui KF6::Service
    )
endmacro()

=== agents/sendlateragent/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(sendlaterinfo_gui_SRCS sendlaterinfo_gui.cpp)
add_executable(sendlaterinfo_gui ${sendlaterinfo_gui_SRCS})
target_link_libraries(sendlaterinfo_gui sendlateragent)

=== src/historyclosedreader/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
# Convenience macro to add unit tests.
macro(historyclosedreader_kmail _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(historyclosedreader-${_name})

    target_link_libraries(
        ${_name}
        Qt::Test
        KPim6::AkonadiCore
        KF6::ConfigCore
        kmailprivate
    )
endmacro()

historyclosedreader_kmail(historyclosedreaderinfotest.cpp)
historyclosedreader_kmail(historyclosedreadermanagertest.cpp)

=== src/sieveimapinterface/tests/sievemanagerdialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_executable(sievemanagerdialog sievemanagerdialog.cpp)

target_link_libraries(
    sievemanagerdialog
    KPim6::KSieveUi
    KPim6::AkonadiCore
    kmailprivate
)

target_link_libraries(sievemanagerdialog qt6keychain)

=== src/sieveimapinterface/tests/vacation/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_executable(vacationmultiservertest main.cpp)
target_link_libraries(
    vacationmultiservertest
    KPim6::KSieveUi
    KF6::I18n
    KPim6::AkonadiCore
    kmailprivate
)

target_link_libraries(vacationmultiservertest qt6keychain)

=== debian/changelog ===
kmail (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:31 +0100

kmail (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not suggest spambayes any more as that packages has been removed
    from Debian (Closes: #1118110).
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:38 +0100

=== debian/control ===
Source: kmail
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libakonadimime-dev (>= 4:25.08.3~),
               libakonadisearch-dev (>= 4:25.08.3~),
               libgpg-error-dev (>= 1.36~),
               libgpgmepp-dev (>= 1.23.2~),
               libgravatar-dev (>= 4:25.08.3~),
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6bookmarks-dev (>= 6.14.0~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6itemviews-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6notifyconfig-dev (>= 6.14.0~),
               libkf6parts-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6sonnet-dev (>= 6.14.0~),
               libkf6statusnotifieritem-dev (>= 6.14.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6userfeedback-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkldap-dev (>= 25.08.3~),
               libkleo-dev (>= 4:25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libkontactinterface-dev (>= 25.08.3~),
               libkpimtextedit-dev (>= 25.08.3~),
               libksieve-dev (>= 4:25.08.3~),
               libktextaddons-dev (>= 1.6.0~),
               libktnef-dev (>= 4:25.08.3~),
               libmailcommon-dev (>= 4:25.08.3~),
               libpimcommon-dev (>= 4:25.08.3~),
               libplasmaactivities-dev (>= 6.3.0~),
               messagelib-dev (>= 4:25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-webengine-dev (>= 6.8.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kmail
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmail
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmail.git
Rules-Requires-Root: no

Package: kmail
Section: mail
Architecture: amd64 arm64 armhf i386
Pre-Depends: ${misc:Pre-Depends},
Depends: akonadi-server (>= 4:24.08~),
         kdepim-runtime (>= 4:24.08~),
         libakonadisearch-bin (>= 4:24.08~),
         libakonadisearch-plugins (>= 4:24.08~),
         libgrantleetheme-plugins (>= 24.08~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: accountwizard,
            gnupg,
            kdepim-addons,
            kdepim-themeeditors,
            mbox-importer,
            pim-data-exporter,
            pim-sieve-editor,
            pinentry-qt | pinentry-x11,
Suggests: clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | bsfilter | crm114,
Provides: imap-client,
          mail-reader,
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail supports multiple accounts, mail filtering and email encryption.
 The program let you configure your workflow and it has good integration into
 KDE (Plasma Desktop) but is also useable with other Desktop Environments.

## kmail 25.08.3+p24.04+vunstable+git20251204.0333

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(kmail VERSION ${PIM_VERSION})
 
 include(CheckIncludeFiles)
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -55,10 +54,10 @@
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION alpha)
-set(RELEASE_SERVICE_VERSION "25.11.70")
+set(RELEASE_SERVICE_VERSION "26.03.40")
 
 # Update it for each release
-set(KMAIL_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(KMAIL_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -67,23 +66,23 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.5.40")
-set(AKONADI_CONTACT_VERSION "6.5.40")
-set(CALENDARUTILS_LIB_VERSION "6.5.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
-set(KLDAP_LIB_VERSION "6.5.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
-set(KMIME_LIB_VERSION "6.5.40")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.40")
-set(AKONADI_VERSION "6.5.40")
-set(KTNEF_LIB_VERSION "6.5.40")
+set(AKONADI_MIMELIB_VERSION "6.6.40")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(KLDAP_LIB_VERSION "6.6.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(KPIMTEXTEDIT_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(KTNEF_LIB_VERSION "6.6.40")
 set(GPG_ERROR_REQUIRED_VERSION "1.36")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 option(
     KDEPIM_ENTERPRISE_BUILD
     "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
@@ -101,15 +100,15 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBGRAVATAR_VERSION "6.5.40")
-set(MAILCOMMON_LIB_VERSION "6.5.40")
-set(MESSAGELIB_LIB_VERSION "6.5.40")
-set(LIBKLEO_LIB_VERSION "6.5.40")
-set(PIMCOMMON_LIB_VERSION "6.5.40")
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(LIBKSIEVE_LIB_VERSION "6.5.40")
-set(AKONADI_SEARCH_VERSION "6.5.40")
-set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
+set(LIBGRAVATAR_VERSION "6.6.40")
+set(MAILCOMMON_LIB_VERSION "6.6.40")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(LIBKLEO_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.41")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(LIBKSIEVE_LIB_VERSION "6.6.40")
+set(AKONADI_SEARCH_VERSION "6.6.40")
+set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
 
 find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 
@@ -235,7 +234,7 @@
             OPTIONAL
 )
 if(TARGET KF6::TextEditTextToSpeech)
-    add_definitions(-DHAVE_TEXT_TO_SPEECH_SUPPORT)
+    set(HAVE_TEXT_TO_SPEECH_SUPPORT TRUE)
 endif()
 find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
@@ -256,13 +255,11 @@
 set_package_properties(
     KF6TextAddonsWidgets
     PROPERTIES
-        DESCRIPTION "Add text addons widget"
-        TYPE REQUIRED
-)
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
+        DESCRIPTION
+            "Add text addons widget"
+        TYPE
+            REQUIRED
+)
 
 configure_file(config-enterprise.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h)
 
@@ -312,7 +309,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES

=== debian/changelog ===
kmail (4:25.08.3+p24.04+vunstable+git20251204.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:33:09 +0000

kmail (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:32 +1000

## kmail 25.08.3+p24.04+vunstable+git20251206.1023

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include(CheckIncludeFiles)
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -101,7 +101,7 @@
         WebEngineWidgets
 )
 set(LIBGRAVATAR_VERSION "6.6.40")
-set(MAILCOMMON_LIB_VERSION "6.6.40")
+set(MAILCOMMON_LIB_VERSION "6.6.41")
 set(MESSAGELIB_LIB_VERSION "6.6.40")
 set(LIBKLEO_LIB_VERSION "6.6.40")
 set(PIMCOMMON_LIB_VERSION "6.6.41")

=== debian/changelog ===
kmail (4:25.08.3+p24.04+vunstable+git20251206.1023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:23:19 +0000
